## gazebo9 9.0.0

=== gazebo/common/CMakeLists.txt ===
include (${gazebo_cmake_dir}/GazeboUtils.cmake)

add_definitions(-DBUILDING_DLL_GZ_COMMON)

# tiny obj loader
include_directories(SYSTEM ${CMAKE_SOURCE_DIR}/deps/tinyobjloader)

if (HAVE_OPENAL)
  include_directories(${OPENAL_INCLUDE_DIR})
endif()

if (HAVE_GTS)
  include_directories(${gts_INCLUDE_DIRS})
  link_directories(${gts_LIBRARY_DIRS})
  add_definitions(${gts_CFLAGS})
endif()

if (HAVE_GDAL)
  include_directories(${GDAL_INCLUDE_DIR})
endif()

if (CURL_FOUND)
  include_directories(${CURL_INCLUDEDIR})
  link_directories(${CURL_LIBDIR})
  if (WIN32)
    add_definitions(-DCURL_STATICLIB)
  endif()
endif()

include_directories(${tinyxml_INCLUDE_DIRS})
link_directories(${tinyxml_LIBRARY_DIRS})

set (sources
  Animation.cc
  Assert.cc
  AudioDecoder.cc
  Battery.cc
  Base64.cc
  BVHLoader.cc
  ColladaExporter.cc
  ColladaLoader.cc
  Color.cc
  CommonIface.cc
  Console.cc
  Dem.cc
  Event.cc
  Events.cc
  Exception.cc
  HeightmapData.cc
  Image.cc
  ImageHeightmap.cc
  KeyEvent.cc
  KeyFrame.cc
  Material.cc
  MaterialDensity.cc
  Mesh.cc
  MeshExporter.cc
  MeshLoader.cc
  MeshManager.cc
  ModelDatabase.cc
  MouseEvent.cc
  OBJLoader.cc
  PID.cc
  SemanticVersion.cc
  SkeletonAnimation.cc
  Skeleton.cc
  SphericalCoordinates.cc
  STLLoader.cc
  SystemPaths.cc
  SVGLoader.cc
  Time.cc
  Timer.cc
  URI.cc
  Video.cc
  VideoEncoder.cc
  ffmpeg_inc.cc
)

if (NOT USE_EXTERNAL_TINYXML)
  include_directories (${CMAKE_SOURCE_DIR}/deps/win/tinyxml)
  set (sources ${sources}
       ${CMAKE_SOURCE_DIR}/deps/win/tinyxml/tinystr.cpp
       ${CMAKE_SOURCE_DIR}/deps/win/tinyxml/tinyxml.cpp
       ${CMAKE_SOURCE_DIR}/deps/win/tinyxml/tinyxmlerror.cpp
       ${CMAKE_SOURCE_DIR}/deps/win/tinyxml/tinyxmlparser.cpp)
endif()

set (headers
  Animation.hh
  Assert.hh
  AudioDecoder.hh
  Battery.hh
  Base64.hh
  BVHLoader.hh
  ColladaLoader.hh
  CommonIface.hh
  CommonTypes.hh
  Color.hh
  Console.hh
  Dem.hh
  EnumIface.hh
  Event.hh
  Events.hh
  Exception.hh
  MovingWindowFilter.hh
  HeightmapData.hh
  Image.hh
  ImageHeightmap.hh
  KeyEvent.hh
  KeyFrame.hh
  Material.hh
  MaterialDensity.hh
  Mesh.hh
  MeshLoader.hh
  MeshManager.hh
  ModelDatabase.hh
  MouseEvent.hh
  OBJLoader.hh
  PID.hh
  Plugin.hh
  SemanticVersion.hh
  SkeletonAnimation.hh
  Skeleton.hh
  SingletonT.hh
  SphericalCoordinates.hh
  STLLoader.hh
  SystemPaths.hh
  SVGLoader.hh
  Time.hh
  Timer.hh
  UpdateInfo.hh
  URI.hh
  Video.hh
  VideoEncoder.hh
  ffmpeg_inc.h
 )

set (gtest_sources
  Animation_TEST.cc
  Battery_TEST.cc
  ColladaExporter_TEST.cc
  ColladaLoader_TEST.cc
  Color_TEST.cc
  CommonIface_TEST.cc
  Console_TEST.cc
  Dem_TEST.cc
  EnumIface_TEST.cc
  Exception_TEST.cc
  Event_TEST.cc
  HeightmapData_TEST.cc
  Image_TEST.cc
  ImageHeightmap_TEST.cc
  Material_TEST.cc
  MaterialDensity_TEST.cc
  Mesh_TEST.cc
  MeshManager_TEST.cc
  MouseEvent_TEST.cc
  MovingWindowFilter_TEST.cc
  OBJLoader_TEST.cc
  SemanticVersion_TEST.cc
  SphericalCoordinates_TEST.cc
  SystemPaths_TEST.cc
  SVGLoader_TEST.cc
  Time_TEST.cc
  URI_TEST.cc
  VideoEncoder_TEST.cc
)

# Timer test fails on OSX
# See issue #1626
if (NOT APPLE)
  set (gtest_sources
    ${gtest_sources}
    Timer_TEST.cc
  )
endif()

if (HAVE_GTS)
set (sources
  ${sources}
  GTSMeshUtils.cc
  MeshCSG.cc
)
set (headers
  ${headers}
  GTSMeshUtils.hh
  MeshCSG.hh
)

set (gtest_sources
  ${gtest_sources}
  GTSMeshUtils_TEST.cc
)
endif()

if (HAVE_FFMPEG)
  set (gtest_sources ${gtest_sources}
                     AudioDecoder_TEST.cc)
endif()

set (headers_install ${headers})

# Do not install fuel_tools headers.
if (HAVE_IGNITION_FUEL_TOOLS)
  set (headers ${headers}
    FuelModelDatabase.hh
  )

  set (sources ${sources}
    FuelModelDatabase.cc
  )

  set (gtest_sources ${gtest_sources}
    FuelModelDatabase_TEST.cc
  )
endif()

gz_build_tests(${gtest_sources} EXTRA_LIBS gazebo_common)

set (common_headers "" CACHE INTERNAL "common headers" FORCE)
foreach (hdr ${headers_install})
  APPEND_TO_CACHED_STRING(common_headers
    "Common Headers" "#include \"gazebo/common/${hdr}\"\n")
endforeach()
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/common.hh.in ${CMAKE_CURRENT_BINARY_DIR}/common.hh )

set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DBUILDING_DLL_GZ_COMMON")
if (WIN32)
  # 0x601 = Windows 7.  TBB needs to know this.
  set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -D_WIN32_WINNT=0x601")
endif ()

gz_add_library(gazebo_common ${sources})

set_property(
  SOURCE SystemPaths.cc SystemPaths_TEST.cc ModelDatabase.cc Console.cc
  PROPERTY COMPILE_DEFINITIONS
  GAZEBO_PLUGIN_PATH="${GAZEBO_PLUGIN_PATH}"
  GAZEBO_MODEL_PATH="${GAZEBO_MODEL_PATH}"
  GAZEBO_RESOURCE_PATH="${GAZEBO_RESOURCE_PATH}"
  GAZEBO_MODEL_DATABASE_URI="${GAZEBO_MODEL_DATABASE_URI}"
  GAZEBO_DEFAULT_MASTER_PORT=${GAZEBO_DEFAULT_MASTER_PORT}
  OGRE_RESOURCE_PATH="${OGRE_RESOURCE_PATH}"
)

target_link_libraries(gazebo_common
  ${IGNITION-MATH_LIBRARIES}
  ${libdl_library}
  ${libtool_library}
  ${Boost_LIBRARIES}
  ${freeimage_LIBRARIES}
  ${tinyxml_LIBRARIES}
  ${libavcodec_LIBRARIES}
  ${libavformat_LIBRARIES}
  ${libavutil_LIBRARIES}
  ${libavdevice_LIBRARIES}
  ${CURL_LIBRARIES}
  ${libswscale_LIBRARIES}
  ${libtar_LIBRARIES}
  ${TBB_LIBRARIES}
  ${SDFormat_LIBRARIES}
  ${IGNITION-FUEL_TOOLS_LIBRARIES}
)

if (UNIX)
  target_link_libraries(gazebo_common pthread)
endif()

if (UNIX AND NOT APPLE)
  # rt is used for clock_gettime, which is not available on apple or windows
  target_link_libraries(gazebo_common rt)
endif()

if (HAVE_GTS)
  target_link_libraries(gazebo_common ${gts_LIBRARIES})
endif()

if (HAVE_OPENAL)
  target_link_libraries(gazebo_common ${OPENAL_LIBRARY})
endif()

if (HAVE_GDAL)
  target_link_libraries(gazebo_common ${GDAL_LIBRARY})
endif()

if (USE_PCH)
  set(MORE_FLAGS "-pthread" ${Boost_PKGCONFIG_CFLAGS})
  add_pch(gazebo_common common_pch.hh ${MORE_FLAGS})
endif()


gz_install_library(gazebo_common)
gz_install_includes("common" ${headers_install} ${CMAKE_CURRENT_BINARY_DIR}/common.hh)

=== media/rtshaderlib/CMakeLists.txt ===
add_subdirectory(materials)

set (files
FFPLib_Common.glsl
FFPLib_Fog.glsl
FFPLib_Lighting.glsl
FFPLib_Texturing.glsl
FFPLib_Transform.glsl
SampleLib_ReflectionMap.glsl
SGXLib_IntegratedPSSM.glsl
SGXLib_NormalMapLighting.glsl
SGXLib_PerPixelLighting.glsl
)

list(APPEND install_files "")

# remove shader version string if ogre version >= 1.9
if (NOT ${OGRE_VERSION} VERSION_LESS 1.9.0)
  foreach (src ${files})
    file (READ ${src} contents)
    string (REGEX REPLACE ".version [0-9]+" "" contents "${contents}")
    set (output_file ${PROJECT_BINARY_DIR}/media/rtshaderlib/${src})
    file (WRITE ${output_file} "${contents}")
    list (APPEND install_files ${output_file})
  endforeach ()
else ()
 set (install_files ${files})
endif ()

install(FILES ${install_files} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/gazebo-${GAZEBO_MAJOR_VERSION}/media/rtshaderlib)

=== examples/plugins/parameters/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8 FATAL_ERROR)

find_package(gazebo REQUIRED)
include_directories(${GAZEBO_INCLUDE_DIRS})
link_directories(${GAZEBO_LIBRARY_DIRS})
list(APPEND CMAKE_CXX_FLAGS "${GAZEBO_CXX_FLAGS}")

add_library(parameters SHARED parameters.cc)
target_link_libraries(parameters ${GAZEBO_LIBRARIES})

=== gazebo/physics/simbody/CMakeLists.txt ===
include (${gazebo_cmake_dir}/GazeboUtils.cmake)

set (sources ${sources}
  simbody/SimbodyBallJoint.cc
  simbody/SimbodyCollision.cc
  simbody/SimbodyFixedJoint.cc
  simbody/SimbodyHeightmapShape.cc
  simbody/SimbodyHinge2Joint.cc
  simbody/SimbodyHingeJoint.cc
  simbody/SimbodyJoint.cc
  simbody/SimbodyLink.cc
  simbody/SimbodyMesh.cc
  simbody/SimbodyMeshShape.cc
  simbody/SimbodyModel.cc
  simbody/SimbodyMultiRayShape.cc
  simbody/SimbodyPhysics.cc
  simbody/SimbodyPlaneShape.cc
  simbody/SimbodyPolylineShape.cc
  simbody/SimbodyRayShape.cc
  simbody/SimbodyScrewJoint.cc
  simbody/SimbodySliderJoint.cc
  simbody/SimbodyUniversalJoint.cc
  PARENT_SCOPE
)

set (headers
  SimbodyBallJoint.hh
  SimbodyBoxShape.hh
  SimbodyCollision.hh
  SimbodyFixedJoint.hh
  SimbodyCylinderShape.hh
  SimbodyHeightmapShape.hh
  SimbodyHinge2Joint.hh
  SimbodyHingeJoint.hh
  simbody_inc.h
  SimbodyJoint.hh
  SimbodyLink.hh
  SimbodyMesh.hh
  SimbodyMeshShape.hh
  SimbodyModel.hh
  SimbodyMultiRayShape.hh
  SimbodyPhysics.hh
  SimbodyPlaneShape.hh
  SimbodyPolylineShape.hh
  SimbodyRayShape.hh
  SimbodyScrewJoint.hh
  SimbodySliderJoint.hh
  SimbodySphereShape.hh
  SimbodyTypes.hh
  SimbodyUniversalJoint.hh
)

gz_install_includes("physics/simbody" ${headers})

=== media/models/chair3/CMakeLists.txt ===
add_subdirectory(images)
add_subdirectory(models)

SET (files 
  textures.txt
  doc.kml
)

INSTALL(FILES ${files} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/gazebo-${GAZEBO_MAJOR_VERSION}/media/models/chair3)

=== examples/plugins/custom_messages/msgs/CMakeLists.txt ===
find_package(Protobuf REQUIRED)

set (msgs custom.proto)
PROTOBUF_GENERATE_CPP(PROTO_SRCS PROTO_HDRS ${msgs})
add_library(my_msgs SHARED ${PROTO_SRCS})
target_link_libraries(my_msgs ${PROTOBUF_LIBRARY})

=== debian/changelog ===
gazebo9 (9.0.0-1~stretch) stretch; urgency=medium

  * gazebo9 9.0.0-1 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 25 Jan 2018 23:24:03 +0100

gazebo9 (9.0.0~pre1-3~stretch) stretch; urgency=medium

  * gazebo9 9.0.0~pre1-3 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 23 Jan 2018 21:25:09 +0100

gazebo9 (9.0.0~pre1-2~stretch) stretch; urgency=medium

  * gazebo9 9.0.0~pre1-2 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 23 Jan 2018 20:26:54 +0100

gazebo9 (9.0.0~pre1-1~stretch) stretch; urgency=medium

  * gazebo9 9.0.0~pre1-1 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 23 Jan 2018 18:13:53 +0100

gazebo9 (8.99.99-1~stretch) stretch; urgency=medium

  * gazebo9 8.99.99-1 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 22 May 2017 18:38:44 +0200

=== debian/control ===
Source: gazebo9
Standards-Version: 3.9.5
Maintainer: Nate Koenig <nate@osrfoundation.org>
Section: science
Priority: extra
Build-Depends: cmake,
     debhelper (>= 9),
     bash-completion,
     doxygen,
     doxygen-latex,
     texlive-fonts-recommended,
     libfreeimage-dev,
     libprotoc-dev,
     libprotobuf-dev,
     protobuf-compiler,
     freeglut3-dev,
     libcurl4-openssl-dev,
     libtinyxml-dev,
     libtinyxml2-dev,
     libtar-dev,
     libtbb-dev,
     libogre-1.9-dev,
     libxml2-dev,
     pkg-config,
     qtbase5-dev,
     libqwt-qt5-dev,
     libqt5opengl5-dev,
     libltdl-dev,
     libboost-dev,
     libboost-thread-dev,
     libboost-signals-dev,
     libboost-system-dev,
     libboost-filesystem-dev,
     libboost-program-options-dev,
     libboost-regex-dev,
     libboost-iostreams-dev,
     libgts-dev,
     libavformat-dev,
     libavcodec-dev,
     libswscale-dev,
     libavdevice-dev,
     libusb-1.0-0-dev,
     libspnav-dev,
     libgdal-dev,
     libsdformat6-dev,
     libignition-math4-dev,
     libignition-transport4-dev,
     libignition-msgs-dev,
     libignition-fuel-tools-dev,
     libignition-common-dev,
     libsimbody-dev (>= 3.0.0),
     libsimbody-dev (<< 4.0.0),
     libbullet-dev,
     ruby-ronn
Vcs-Browser: https://bitbucket.org/osrf/gazebo9-elease
Vcs-Hg: https://bitbucket.org/osrf/gazebo9-release
Homepage: http://gazebosim.org

Package: gazebo9-common
Architecture: all
Depends: ttf-dejavu-core, ${misc:Depends}
Multi-Arch: foreign
Conflicts: gazebo6-common,
           gazebo6-common-prerelease,
           gazebo7-common,
           gazebo7-common-prerelease,
           gazebo8-common
Description: Open Source Robotics Simulator - Shared files
 Gazebo is a multi-robot simulator for outdoor environments. Like
 Stage (part of the Player project), it is capable of simulating a
 population of robots, sensors and objects, but does so in a
 three-dimensional world. It generates both realistic sensor feedback
 and physically plausible interactions between objects (it includes an
 accurate simulation of rigid-body physics).
 .
 This package contains shared files such as 3d models, worlds and
 robots.

Package: gazebo9
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libgazebo9 (= ${binary:Version}),
         gazebo9-common (= ${source:Version})
Recommends: gazebo9-plugin-base
Suggests: gazebo9-doc
Multi-Arch: foreign
Conflicts: gazebo2,
           gazebo3,
           gazebo5,
           gazebo6,
           gazebo7,
           gazebo8
Description: Open Source Robotics Simulator
 Gazebo is a multi-robot simulator for outdoor environments. Like
 Stage (part of the Player project), it is capable of simulating a
 population of robots, sensors and objects, but does so in a
 three-dimensional world. It generates both realistic sensor feedback
 and physically plausible interactions between objects (it includes an
 accurate simulation of rigid-body physics).

Package: libgazebo9
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Conflicts: libgazebo5,
           libgazebo6,
           libgazebo7,
           libgazebo8
Description: Open Source Robotics Simulator - shared library
 Gazebo is a multi-robot simulator for outdoor environments. Like
 Stage (part of the Player project), it is capable of simulating a
 population of robots, sensors and objects, but does so in a
 three-dimensional world. It generates both realistic sensor feedback
 and physically plausible interactions between objects (it includes an
 accurate simulation of rigid-body physics).
 .
 This package gathers shared libraries used

Package: libgazebo9-dev
Architecture: any
Section: libdevel
Depends: libtbb-dev,
         libxml2-dev,
         qtbase5-dev,
         libqwt-qt5-dev,
         libprotoc-dev,
         libfreeimage-dev,
         libprotobuf-dev,
         libboost-all-dev,
         freeglut3-dev,
         libogre-1.9-dev,
         libtar-dev,
         libcurl4-openssl-dev,
         libgts-dev,
         libusb-1.0-0-dev,
         libgdal-dev,
         libavformat-dev,
         libavcodec-dev,
         libswscale-dev,
         libavdevice-dev,
         libsdformat6-dev,
         libignition-math4-dev,
         libignition-transport4-dev,
         libignition-msgs-dev,
         libignition-fuel-tools-dev,
         libignition-common-dev,
         libsimbody-dev (>= 3.0.0),
         libsimbody-dev (<< 4.0.0),
         libbullet-dev,
         libgazebo9 (= ${binary:Version}),
         gazebo9-common (= ${source:Version}),
         gazebo9-plugin-base (= ${source:Version}),
         ${misc:Depends}
Multi-Arch: same
Conflicts: gazebo2,
           libgazebo-dev (<< 10.0.0),
           libgazebo-dev (>= 9.0.0),
           libgazebo3-dev,
           libgazebo5-dev,
           libgazebo6-dev,
           libgazebo7-dev,
           libgazebo8-dev
Description: Open Source Robotics Simulator - Development Files
 Gazebo is a multi-robot simulator for outdoor environments. Like
 Stage (part of the Player project), it is capable of simulating a
 population of robots, sensors and objects, but does so in a
 three-dimensional world. It generates both realistic sensor feedback
 and physically plausible interactions between objects (it includes an
 accurate simulation of rigid-body physics).
 .
 This package contains development files (headers, shared library
 symbolic link and pkg-config file).

Package: gazebo9-plugin-base
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gazebo9 (= ${binary:Version})
Enhances: gazebo9
Multi-Arch: foreign
Conflicts: gazebo5-plugins-base,
           gazebo6-plugins-base,
           gazebo7-plugins-base,
           gazebo8-plugins-base
Description: Open Source Robotics Simulator - base plug-ins
 Gazebo is a multi-robot simulator for outdoor environments. Like
 Stage (part of the Player project), it is capable of simulating a
 population of robots, sensors and objects, but does so in a
 three-dimensional world. It generates both realistic sensor feedback
 and physically plausible interactions between objects (it includes an
 accurate simulation of rigid-body physics).
 .
 This package gathers built-in plugins.

Package: gazebo9-dbg
Architecture: any
Section: debug
Depends: gazebo9 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: foreign
Description: Open Source Robotics Simulator - Debugging Symbols
 Gazebo is a multi-robot simulator for outdoor environments. Like
 Stage (part of the Player project), it is capable of simulating a
 population of robots, sensors and objects, but does so in a
 three-dimensional world. It generates both realistic sensor feedback
 and physically plausible interactions between objects (it includes an
 accurate simulation of rigid-body physics).
 .
 This package contains the debugging symbols.

Package: gazebo9-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Open Source Robotics Simulator - Documentation
 Gazebo is a multi-robot simulator for outdoor environments. Like
 Stage (part of the Player project), it is capable of simulating a
 population of robots, sensors and objects, but does so in a
 three-dimensional world. It generates both realistic sensor feedback
 and physically plausible interactions between objects (it includes an
 accurate simulation of rigid-body physics).
 .
 This package contains the program documentation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# If dpkg-buildflags is available, retrieve hardened compilation flags.
# In all cases, add -as-needed as recent Ubuntu versions enables it by default.
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS 2>/dev/null)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS 2>/dev/null)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS 2>/dev/null)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS 2>/dev/null) -Wl,--as-needed

# Duplicate flags as CMake is ignoring CPPFLAGS.
CFLAGS+=$(CPPFLAGS)
CXXFLAGS+=$(CPPFLAGS)

# Multiarch (if supported).
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH 2>/dev/null)

# Configuration flags.
CONFIGURE_ARGS=

# Adjust cflags in arm
ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),amd64 i386))
  CMAKE_HOST_CFLAGS="True"
else
  CMAKE_HOST_CFLAGS="False"
endif

# If multiarch is supported, override CMAKE_INSTALL_LIB
ifneq ($(DEB_HOST_MULTIARCH),)
CONFIGURE_ARGS+=-DCMAKE_INSTALL_LIBDIR:STRING="lib/${DEB_HOST_MULTIARCH}"
endif

override_dh_auto_configure:
	dh_auto_configure -- \
	        -DCMAKE_BUILD_TYPE:STRING=RelWithDebInfo \
	        -DUSE_HOST_CFLAGS:BOOL=${CMAKE_HOST_CFLAGS} \
	        $(CONFIGURE_ARGS) \

# Generate Doxygen HTML documentation.
# Currently broken:
# https://bitbucket.org/osrf/gazebo/issue/1141
#override_dh_auto_build-indep:	
	#dh_auto_build -- doc

override_dh_install:
	dh_install -- # Install.

	# Install icon
	mkdir -p debian/gazebo9/usr/share/icons/hicolor/scalable/apps/
	install -m 644 gazebo/gui/images/gazebo.svg \
	    debian/gazebo9/usr/share/icons/hicolor/scalable/apps/gazebo.svg	
        # Install desktop file
	mkdir -p debian/gazebo9/usr/share/applications/
	install -m 644 ./debian/gazebo.desktop \
	    debian/gazebo9/usr/share/applications/

# No test for now. Need some refactor work first
override_dh_auto_test:
	true
	#dh_auto_test || true

override_dh_strip:
	dh_strip -a --dbg-package=gazebo9-dbg

%:
	dh $@ --parallel --with bash-completion
